Add V1 online guest creation

This API creates new online guests from custom webstores to support “Checkout as guest” flows. This is a dummy guest and is not retrievable on Zenoti POS.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

OnlineGuestRequest

Json PropertyData TypeDescription
emailstringThe email address of the online guest.
center_idGuidThe unique identifier of the center where the guest is created.
first_namestringThe first name of the online guest.
last_namestringThe last name of the online guest.

OnlineGuestResponse

Json PropertyData TypeDescription
online_guest_idGuidThe unique identifier generated for the online guest.
guest_idGuidThe unique identifier of the guest record in the system.
errorAPIV2ErrorModelContains error details if the request fails.

APIV2ErrorModel

FieldTypeDescription
codestringApplication error code.
messagestringHuman-readable error message.
Body Params
string

The email address of the online guest. Must be valid and non-empty.

int32

The unique identifier of the center where the guest is created.

string

The first name of the online guest.

string

The last name of the online guest.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain